"use client";
import {cn} from "@/lib/utils";
import parse, {domToReact} from "html-react-parser";
import ImgContentWidget from "./img-content";

interface Props {
  position?: string;
  className?: string;
  className2?: string;
  id: string;
  title: string;
  description: string;
  gallery: any;
}

export default function ArticleWidget({
  position,
  className,
  className2,
  id,
  title,
  description,
  gallery,
}: Props) {
  const options = {
    replace: (node: any) => {
      if (!node.attribs) {
        return;
      }
      if (node.name === "p") {
        return <p>{domToReact(node.children, options)}</p>;
      }
    },
  };

  return (
    <section
      id={id}
      className={cn(
        "grid grid-cols-1 lg:grid-cols-2 w-full h-fit lg:min-h-screen relative lg:px-0 px-5 py-5 lg:py-0 scroll-mt-20 lg:scroll-mt-28 gap-5 md:gap-0",
        className
      )}
    >
      <div
        className={cn(
          ` ${position === "right" && "lg:order-2 order-1"} h-full`,
          className2
        )}
      >
        <div
          className={` ${
            position === "left" ? "left-0" : "right-0"
          } lg:block hidden  top-o absolute tracking-[3.4px] text-base p-5 text-white`}
        >
          ACCOMODATIONS
        </div>
        <div className="w-full lg:w-2/3 mx-auto flex flex-col lg:justify-center justify-start gap-5 h-full text-center lg:text-left">
          <div className="lg:hidden block tracking-[3.4px] text-base lg:text-left text-white ">
            ACCOMODATIONS
          </div>
          <h2 className="text-white">{title}</h2>
          <div className="text-white space-y-2">{parse(description, options)}</div>
        </div>
      </div>
      <div
        className='lg:order-1 order-first'
      >
        <ImgContentWidget img={gallery} />
      </div>
    </section>
  );
}
